query temperature.md

Query Temperature

Channels API · metrics

GET /ui/connectors/channels-api/latest/metrics/temperature/

Query outlet temperature over time range. Returns Prometheus format.

Query parameters

Name Type Required Description
start string Yes Start time (ISO8601 or Unix timestamp)
end string Yes End time (ISO8601 or Unix timestamp)
step string No Query resolution step Defaults to 60s

Example request

curl -X GET "/ui/connectors/channels-api/latest/metrics/temperature/?step=60s"

Responses

200 — Successful Response

Example:

{
  "status": "string",
  "data": {
    "resultType": "matrix",
    "result": [
      {
        "metric": {
          "serverID": "string",
          "name": "string",
          "job": "string"
        },
        "values": [
          []
        ]
      }
    ]
  },
  "error": "string",
  "errorType": "string"
}

422 — Validation Error

Example:

{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Source spec: channels-api · operationId: query_temperature_metrics_temperature__get